# 32/64bit spec-file
#
Name:		2ManDVD
Version:	1.8.5
Release:	%mkrel 4
License:	GPL
Group:		Video
Summary:	Video DVD creation tool
Summary(de):	Video-DVD-Erstellung Werkzeug
URL:		http://2mandvd.tuxfamily.org/
Source:		http://download.tuxfamily.org/2mandvd/%{name}-%{version}.tar.xz
Patch1:		2ManDVD-1.8.4-fix_install.patch
Patch2:		2ManDVD-1.8.5-libavformat54.patch
Patch3:		2mandvd-1.8.5-ffmpeg3.patch
Patch4:		2mandvd-gcc7.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-build
Requires:	task-qt4 >= 4.5.0
Requires:	%{_lib}ffmpegthumbnailer4
Requires:	ffmpegthumbnailer
Requires:	fonts-ttf-dejavu
Requires:	ffmpeg
Requires:	sox
Requires:	mplayer
Requires:	mencoder
Requires:	dvdauthor
Requires:	mjpegtools
Requires:	netpbm
Requires:	exif
Requires:	transcode
BuildRequires:	%{_lib}qt4-devel
BuildRequires:	qt4-designer
Obsoletes: %name < %version

%description
ManDVD is a graphical tool for creating Video DVDs, including menus.

%description -l de
ManDVD ist ein grafisches Tool für die Erstellung von Video-DVDs, einschließlich Menüs.

%prep
%setup -q -n %{name}
%apply_patches

%build
%qmake_qt4 2ManDVD.pro
%make_build


%install
rm -rf %buildroot
%make_install INSTALL_ROOT=%{buildroot}

rm -rf %{buildroot}

mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_datadir}/%{name}
mkdir -p %{buildroot}%{_datadir}/%{name}/Bibliotheque
mkdir -p %{buildroot}%{_datadir}/%{name}/Interface

cp %{name} %{buildroot}%{_datadir}/%{name}/%{name}
cp -R Bibliotheque/3d %{buildroot}%{_datadir}/%{name}/Bibliotheque/
cp -R Bibliotheque/Animations %{buildroot}%{_datadir}/%{name}/Bibliotheque/
cp -R Bibliotheque/Luma %{buildroot}%{_datadir}/%{name}/Bibliotheque/
cp -R Bibliotheque/Masks %{buildroot}%{_datadir}/%{name}/Bibliotheque/
cp -R Bibliotheque/Themes %{buildroot}%{_datadir}/%{name}/Bibliotheque/
cp -R Bibliotheque/table_luma.dat %{buildroot}%{_datadir}/%{name}/Bibliotheque/
cp -R Interface %{buildroot}%{_datadir}/%{name}/
cp -R 2mandvd_*.qm %{buildroot}%{_datadir}/%{name}/
cp -R 2mandvd_*.ts %{buildroot}%{_datadir}/%{name}/
cp -R fake.pl %{buildroot}%{_bindir}/fake.pl
ln -s %{_datadir}/%{name}/%{name} %{buildroot}%{_bindir}/%{name}

%{__install} -D -m 644 Interface/mandvd.png %{buildroot}%{_datadir}/pixmaps/%{name}.png


mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Type=Application
Exec=%{name}
Icon=%{name}
Name=%{name}
GenericName=%{name}
GenericName[fr]=Créateur de DVD vidéo et de diaporama
Comment=DVD authoring and slideshow tool
Comment[fr]=Créateur de DVD vidéo et de diaporama
Comment[de]=Video-DVD-Erstellung Werkzeug
Terminal=false
MimeType=application/2ManDVD;
Categories=Graphics;Qt;Photography;X-MandrivaLinux-Multimedia-Video;
X-KDE-StartupNotify=true
EOF


%files
%defattr(-,root,root)
%{_bindir}/%{name}
%{_bindir}/fake.pl
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png

%clean
%__rm -rf "%{buildroot}"

%changelog
* Sun Jun 09 2019 tex - 1.8.5-4pclos2019
- rebuild against updates

* Mon Mar 13 2017 bb2 <bb2> 1.8.5-3pclos2017
- patch and rebuild new ffmpeg

* Tue Nov 18 2014 bb <bb> 1.8.5-2pclos2014
- rebuild ffmpeg 2.4.3

* Wed Oct 09 2013 bb <bb> 1.8.5-1pclos2013
- update

* Wed Feb 13 2013 pinoc <vogtpet at gmail.com> 1.8.4-1pclos2013 
- 1.8.4 
- updated file listing and compiled for 64bit
